## ros-catkin-tools 0.9.2%2Bds

=== tests/system/resources/catkin_pkgs/cmake_warning/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(cmake_warning)
find_package(catkin REQUIRED)
catkin_package()
message(WARNING "This sends a warning from cmake.")

## ros-catkin-tools 0.9.0+ds

=== debian/changelog ===
ros-catkin-tools (0.9.0+ds-3) unstable; urgency=medium

  * Add build-essential to autopkgtest dependencies

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Jun 2022 13:13:35 +0200

ros-catkin-tools (0.9.0+ds-2) unstable; urgency=medium

  * Add myself as uploader
  * Drop warning about empty extend path
  * Fix dependencies
  * Add autopkgtest
  * Improve package description

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Jun 2022 11:59:27 +0200

ros-catkin-tools (0.9.0+ds-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Jochen Sprickerhof ]
  * New upstream version 0.9.0+ds
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Jun 2022 19:38:58 +0200

ros-catkin-tools (0.8.5+ds-1) unstable; urgency=medium

  * New upstream version 0.8.5+ds

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 31 Mar 2022 11:16:35 +0200

ros-catkin-tools (0.8.4+ds-1) unstable; urgency=medium

  * Add Vcs fields
  * New upstream version 0.8.4+ds

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 17 Mar 2022 18:33:19 +0100

ros-catkin-tools (0.8.3+ds-2) unstable; urgency=medium

  * source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 06 Mar 2022 22:01:45 +0100

ros-catkin-tools (0.8.3+ds-1) unstable; urgency=medium

  * Initial package.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 03 Mar 2022 13:45:07 +0100

=== debian/control ===
Source: ros-catkin-tools
Section: devel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
           Timon Engelke <debian@timonengelke.de>,
	   Timo Röhling <roehling@debian.org>,
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-osrf-pycommon, python3-yaml, python3-catkin-pkg, python3-mock <!nocheck>, python3-nose <!nocheck>
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/catkin/catkin_tools
Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-tools.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin-tools
Description: Command line tools for catkin workspaces
 This package is part of ROS, the Robot Operating System. The catkin tools
 provide functionality to work with the catkin meta buildsystem and catkin
 workspaces, similar to the way the colcon tools support working with ROS 2
 ament packages.
 .
 The catkin tools provide a convenient interface to build and test multiple
 packages in a catkin workspace, resolving all inter-dependencies and
 isolating the builds from each other.

Package: catkin-tools
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: catkin
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package installs the Python 3 module and the CLI executable.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

# Tests are currently not working due to an issue with pkg_resources
override_dh_auto_test:

=== debian/tests/control ===
Tests: run-test-suite
Depends: catkin-tools, python3-mock, python3-nose, cmake, catkin, build-essential
Restrictions: allow-stderr

## ros-catkin-tools 0.9.2+ds

=== docs/examples/failure_ws/src/catkin_pkg_cmake_err/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(catkin_pkg_cmake_err)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES catkin_pkg_cmake_err
#  CATKIN_DEPENDS other_catkin_pkg
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)

## Declare a cpp library
# add_library(catkin_pkg_cmake_err
#   src/${PROJECT_NAME}/catkin_pkg_cmake_err.cpp
# )

## Declare a cpp executable
# add_executable(catkin_pkg_cmake_err_node src/catkin_pkg_cmake_err_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(catkin_pkg_cmake_err_node catkin_pkg_cmake_err_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(catkin_pkg_cmake_err_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS catkin_pkg_cmake_err catkin_pkg_cmake_err_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_catkin_pkg_cmake_err.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

add_subdirectory(sub)

=== docs/examples/failure_ws/src/catkin_pkg_cmake_warn/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(catkin_pkg_cmake_warn)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES catkin_pkg_cmake_warn
#  CATKIN_DEPENDS other_catkin_pkg
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)

## Declare a cpp library
# add_library(catkin_pkg_cmake_warn
#   src/${PROJECT_NAME}/catkin_pkg_cmake_warn.cpp
# )

## Declare a cpp executable
# add_executable(catkin_pkg_cmake_warn_node src/catkin_pkg_cmake_warn_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(catkin_pkg_cmake_warn_node catkin_pkg_cmake_warn_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(catkin_pkg_cmake_warn_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS catkin_pkg_cmake_warn catkin_pkg_cmake_warn_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_catkin_pkg_cmake_warn.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

message(WARNING "This package warns you in the cmake stage")

=== tests/system/resources/catkin_pkgs/build_type_condition/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(build_type_condition)

=== tests/system/resources/catkin_pkgs/cmake_err/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(cmake_err)
find_package(catkin REQUIRED)
catkin_package()
message(SEND_ERROR "This package sends an error from cmake.")

=== tests/system/resources/catkin_pkgs/make_err/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(make_err)
find_package(catkin REQUIRED)
catkin_package()
add_executable(fail fail.cpp)

=== tests/system/resources/catkin_pkgs/python_pkg/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(python_pkg)
find_package(catkin REQUIRED)

catkin_python_setup()
catkin_package()

=== tests/system/resources/catkin_pkgs/python_tests_err/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(python_tests_err)
find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test_bad.py)
endif()

=== tests/system/resources/cmake_pkgs/cmake_pkg/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(cmake_pkg)

add_executable(vanilla vanilla.cpp)

install(TARGETS vanilla
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib/static)

=== tests/system/resources/cmake_pkgs/lib_pkg/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(lib_pkg)

# make cache variables for install destinations
include(GNUInstallDirs)

include_directories(${CMAKE_SOURCE_DIR})
add_library(vanilla SHARED vanilla.cpp)

# install the target and create export-set
install(TARGETS vanilla
  EXPORT vanillaTargets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

# install header file
INSTALL(FILES vanilla.h
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

# generate and install export file
install(EXPORT vanillaTargets
        FILE vanillaTargets.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/lib_pkg
)

# include CMakePackageConfigHelpers macro
include(CMakePackageConfigHelpers)

# create config file
configure_package_config_file(${CMAKE_CURRENT_SOURCE_DIR}/Config.cmake.in
  "${CMAKE_CURRENT_BINARY_DIR}/lib_pkgConfig.cmake"
  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/lib_pkg
)

# install config files
install(FILES
          "${CMAKE_CURRENT_BINARY_DIR}/lib_pkgConfig.cmake"
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/lib_pkg
)

# generate the export targets for the build tree
export(EXPORT vanillaTargets
       FILE "${CMAKE_CURRENT_BINARY_DIR}/cmake/vanillaTargets.cmake"
)

=== tests/system/resources/cmake_pkgs/test_err_pkg/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(test_err_pkg)

include(CTest)
add_executable(MyTest test.cpp)
add_test(NAME MyTest COMMAND MyTest)
enable_testing()

install(TARGETS MyTest
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib/static)

=== tests/system/resources/cmake_pkgs/test_pkg/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(test_pkg)

include(CTest)
add_executable(MyTest test.cpp)
add_test(NAME MyTest COMMAND MyTest)
enable_testing()

install(TARGETS MyTest
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib/static)

=== docs/examples/failure_ws/src/catkin_pkg_cmake_err/sub/CMakeLists.txt ===

message(SEND_ERROR "This package sends an error from cmake!")
#message(SEND_ERROR "This package sends an error from cmake.\nOne\n\nTwo\n\n\nThree")

=== debian/changelog ===
ros-catkin-tools (0.9.2+ds-1) unstable; urgency=medium

  * New upstream version 0.9.2+ds
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 09 Jan 2023 07:10:33 +0100

ros-catkin-tools (0.9.1+ds-1) unstable; urgency=medium

  * New upstream version 0.9.1+ds
  * Use autopkgtest-pkg-pybuild
  * Fix Python 3.11 issues

 -- Timo Röhling <roehling@debian.org>  Sat, 17 Dec 2022 21:43:33 +0100

ros-catkin-tools (0.9.0+ds-4) unstable; urgency=medium

  * Migrate from nose to pytest (Closes: #1018621)

 -- Timo Röhling <roehling@debian.org>  Sun, 28 Aug 2022 22:33:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,25 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
-           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
-           Timon Engelke <debian@timonengelke.de>,
-	   Timo Röhling <roehling@debian.org>,
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-osrf-pycommon, python3-yaml, python3-catkin-pkg, python3-mock <!nocheck>, python3-nose <!nocheck>
-Standards-Version: 4.6.1
+Uploaders:
+ Jochen Sprickerhof <jspricke@debian.org>,
+ Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
+ Timon Engelke <debian@timonengelke.de>,
+ Timo Röhling <roehling@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ catkin <!nocheck>,
+ cmake <!nocheck>,
+ dh-sequence-python3,
+ python3-all,
+ python3-catkin-pkg,
+ python3-osrf-pycommon,
+ python3-pytest <!nocheck>,
+ python3-setuptools,
+ python3-yaml,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/catkin/catkin_tools
 Vcs-Git: https://salsa.debian.org/science-team/ros-catkin-tools.git
 Vcs-Browser: https://salsa.debian.org/science-team/ros-catkin-tools

## ros-catkin-tools 0.9.4%2Bds

=== tests/system/resources/catkin_pkgs/make_warning/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(make_warning)
find_package(catkin REQUIRED)
catkin_package()
add_library(warn warn.cpp)

=== tests/system/resources/catkin_pkgs/python_tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(python_tests)
find_package(catkin REQUIRED)

catkin_package()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test_good.py)
endif()

## ros-catkin-tools 0.9.4+ds

=== docs/examples/failure_ws/src/catkin_pkg_make_err/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(catkin_pkg_make_err)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES catkin_pkg_make_err
#  CATKIN_DEPENDS other_catkin_pkg
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)

## Declare a cpp library
# add_library(catkin_pkg_make_err
#   src/${PROJECT_NAME}/catkin_pkg_make_err.cpp
# )

## Declare a cpp executable
add_executable(main main.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(catkin_pkg_make_err_node catkin_pkg_make_err_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(catkin_pkg_make_err_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS catkin_pkg_make_err catkin_pkg_make_err_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_catkin_pkg_make_err.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== docs/examples/failure_ws/src/catkin_pkg_make_warn/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(catkin_pkg_make_warn)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES catkin_pkg_make_warn
#  CATKIN_DEPENDS other_catkin_pkg
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)

## Declare a cpp library
# add_library(catkin_pkg_make_warn
#   src/${PROJECT_NAME}/catkin_pkg_make_warn.cpp
# )

## Declare a cpp executable
add_executable(main main.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(catkin_pkg_make_warn_node catkin_pkg_make_warn_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(catkin_pkg_make_warn_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS catkin_pkg_make_warn catkin_pkg_make_warn_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_catkin_pkg_make_warn.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== tests/system/resources/catkin_pkgs/cmake_args/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(cmake_args)

find_package(catkin REQUIRED)

catkin_package()

if(NOT VAR1)
  message(SEND_ERROR "VAR1 NOT DEFINED!")
endif()

if(NOT VAR2)
  message(SEND_ERROR "VAR2 NOT DEFINED!")
endif()

if(NOT VAR3)
  message(SEND_ERROR "VAR3 NOT DEFINED!")
endif()

=== tests/system/resources/catkin_pkgs/products_0/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(products_0)
find_package(catkin REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}_lib
  CFG_EXTRAS extras.cmake)

include_directories(include)

add_library(${PROJECT_NAME}_lib lib.cpp)
target_link_libraries(${PROJECT_NAME}_lib ${catkin_LIBRARIES})

add_executable(main main.cpp)
target_link_libraries(main ${PROJECT_NAME}_lib ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}_lib main
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

=== tests/system/resources/catkin_pkgs/products_unicode/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(products_unicode)
find_package(catkin REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}_lib
  CFG_EXTRAS extras.cmake)

include_directories(include)

add_library(${PROJECT_NAME}_lib lib.cpp)
set_target_properties(${PROJECT_NAME}_lib PROPERTIES OUTPUT_NAME "${PROJECT_NAME}_lïb")
target_link_libraries(${PROJECT_NAME}_lib ${catkin_LIBRARIES})

add_executable(main main.cpp)
set_target_properties(main PROPERTIES OUTPUT_NAME "maïn")
target_link_libraries(main ${PROJECT_NAME}_lib ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}_lib main
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

=== tests/system/resources/catkin_pkgs/python_tests_targets/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(python_tests_targets)
find_package(catkin REQUIRED)

catkin_package()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test_good.py)
  catkin_add_nosetests(test_bad.py)
endif()

=== tests/system/resources/cmake_pkgs/app_pkg/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(app_pkg)

find_package(lib_pkg REQUIRED)

include_directories(${lib_pkg_INCLUDE_DIRS})

add_executable(vanilla_app vanilla.cpp)
target_link_libraries(vanilla_app vanilla)

install(TARGETS vanilla_app
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib/static)

=== tests/system/resources/ros_pkgs/pkg_with_roslint/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(pkg_with_roslint)
find_package(catkin REQUIRED COMPONENTS roslint)
catkin_package()

roslint_cpp(main.cpp)
roslint_add_test()

=== debian/changelog ===
ros-catkin-tools (0.9.4+ds-1) unstable; urgency=medium

  * New upstream version 0.9.4+ds
  * Clean *.egg-info

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Aug 2023 22:03:49 +0200

ros-catkin-tools (0.9.3+ds-1) unstable; urgency=medium

  * New upstream version 0.9.3+ds

 -- Timo Röhling <roehling@debian.org>  Tue, 13 Jun 2023 23:54:25 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = --verbose -k 'not code_format and not python2' --ignore tests/system/resources

%:
	dh $@ --buildsystem=pybuild

# Skip test at build time, setuptools does not create required entry points
override_dh_auto_test:

## ros-catkin-tools 0.9.5+ds

=== requirements.txt ===
catkin_pkg
osrf_pycommon
pyyaml
setuptools

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/catkin_tools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/catkin_tools.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/catkin_tools"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/catkin_tools"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/examples/failure_ws/src/catkin_pkg_cmake_err/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.10)
 project(catkin_pkg_cmake_err)
 
 ## Find catkin macros and libraries

=== docs/examples/failure_ws/src/catkin_pkg_cmake_warn/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.10)
 project(catkin_pkg_cmake_warn)
 
 ## Find catkin macros and libraries

=== docs/examples/failure_ws/src/catkin_pkg_make_err/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.10)
 project(catkin_pkg_make_err)
 
 ## Find catkin macros and libraries

=== docs/examples/failure_ws/src/catkin_pkg_make_warn/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.10)
 project(catkin_pkg_make_warn)
 
 ## Find catkin macros and libraries

=== tests/system/resources/catkin_pkgs/build_type_condition/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(build_type_condition)

=== tests/system/resources/catkin_pkgs/cmake_args/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.10)
 project(cmake_args)
 
 find_package(catkin REQUIRED)
@@ -16,4 +16,3 @@
 if(NOT VAR3)
   message(SEND_ERROR "VAR3 NOT DEFINED!")
 endif()
-

=== tests/system/resources/catkin_pkgs/cmake_err/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(cmake_err)
find_package(catkin REQUIRED)
catkin_package()
message(SEND_ERROR "This package sends an error from cmake.")

=== tests/system/resources/catkin_pkgs/cmake_warning/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(cmake_warning)
find_package(catkin REQUIRED)
catkin_package()
message(WARNING "This sends a warning from cmake.")

=== tests/system/resources/catkin_pkgs/make_err/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(make_err)
find_package(catkin REQUIRED)
catkin_package()
add_executable(fail fail.cpp)

=== tests/system/resources/catkin_pkgs/make_warning/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(make_warning)
find_package(catkin REQUIRED)
catkin_package()
add_library(warn warn.cpp)

=== debian/changelog ===
ros-catkin-tools (0.9.5+ds-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.9.5+ds
  * Do not generate a dependency on python3-pkg-resources (Closes: #1083754)
  * Drop old Nose & Mock patches

 -- Alexandre Detiste <tchet@debian.org>  Sun, 06 Apr 2025 12:50:20 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = --verbose -k 'not code_format and not python2 and not catkin_failure and not other_target' --ignore tests/system/resources

%:
	dh $@ --buildsystem=pybuild

# Skip test at build time, setuptools does not create required entry points
override_dh_auto_test:

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds,\
    filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/catkin/catkin_tools/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
